Kibotos
API referencekibotos.ctrl.v1

ServiceConnectionService

This page lists the methods of ServiceConnectionService in kibotos.ctrl.v1 with the messages and enums each one uses, generated from ctrl.proto and its comments. Those that several services use are on kibotos.ctrl.v1 types.

Node data planeCalled at the endpoint of a data-plane session, with its credential in Authorization: Bearer.How to call it

ServiceConnectionService transports raw bytes to one precisely authorized guest service. Each RPC authenticates SERVICE_CONNECT at establishment.

Connect

POST/kibotos.ctrl.v1.ServiceConnectionService/ConnectBidirectional streaming
Requeststream ofConnectRequest
Responsestream ofConnectResponse

On this page